Debian Bug report logs - #680265
ITP: gummiboot -- Simple UEFI Boot Manager

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Daniel Baumann <mail@daniel-baumann.ch>

Date: Wed, 4 Jul 2012 17:39:02 UTC

Owned by: Julian Andres Klode <jak@debian.org>

Severity: wishlist

Fixed in version gummiboot/44-1

Done: Julian Andres Klode <jak@debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#680265; Package wnpp. (Wed, 04 Jul 2012 17:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Wed, 04 Jul 2012 17:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: submit@bugs.debian.org
Subject: ITP: gummiboot -- Simple UEFI Boot Manager
Date: Wed, 04 Jul 2012 19:35:20 +0200
Package: wnpp

* Package name : gummiboot
* URL : http://freedesktop.org/wiki/Software/gummiboot
* License : LGPL-2.1+
* Description :

(quoting from the website, not necessarily going to be the package
description..)

gummiboot is a simple UEFI boot loader which executes configured EFI
images. The default entry is selected by a configured pattern (glob) or
an on-screen menu.

gummiboot operates on the EFI System Partition (ESP) only. Configuration
file fragments, kernels, initrds, other EFI images need to reside on the
ESP. Linux kernels need to be built with CONFIG_EFI_STUB to be able to
be directly executed as EFI images.

gummiboot reads simple and entirely generic boot loader configuration
files; one file per boot loader entry to select from.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Owner recorded as daniel.baumann@progress-technologies.net. Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Mon, 23 Jul 2012 17:57:15 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sat, 01 Sep 2012 18:09:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, daniel.baumann@progress-technologies.net:
Bug#680265; Package wnpp. (Tue, 20 Nov 2012 08:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, daniel.baumann@progress-technologies.net. (Tue, 20 Nov 2012 08:03:03 GMT) Full text and rfc822 format available.

Message #14 received at 680265@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Daniel Baumann <daniel.baumann@progress-technologies.net>
Subject: Re: ITP: gummiboot -- Simple UEFI Boot Manager
Date: Tue, 20 Nov 2012 08:42:24 +0100
Hi Daniel,

any news on the packaging of Gummiboot for Debian yet?

Since Windows 8 is out now, there are people out there who need an EFI
bootloader and I was wondering how well Gummiboot performs as a
bootloader for both Windows 8 and Linux.

Cheers,

Adrian

-- 
 .''`.  John Paul Adrian Glaubitz
: :' :  Debian Developer - glaubitz@debian.org
`. `'   Freie Universitaet Berlin - glaubitz@physik.fu-berlin.de
  `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#680265; Package wnpp. (Tue, 20 Nov 2012 08:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 20 Nov 2012 08:09:03 GMT) Full text and rfc822 format available.

Message #19 received at 680265@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>, 680265@bugs.debian.org
Subject: Re: Bug#680265: ITP: gummiboot -- Simple UEFI Boot Manager
Date: Tue, 20 Nov 2012 09:07:53 +0100
On 11/20/2012 08:42 AM, John Paul Adrian Glaubitz wrote:
> any news on the packaging of Gummiboot for Debian yet?

it should be ready soon.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Owner changed from daniel.baumann@progress-technologies.net to wnpp@debian.org. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 11 Mar 2013 19:33:07 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Daniel Baumann <mail@daniel-baumann.ch>' from 'daniel.baumann@progress-technologies.net' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 12 Jun 2013 13:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#680265; Package wnpp. (Fri, 06 Sep 2013 22:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Andres Klode <jak@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 06 Sep 2013 22:45:05 GMT) Full text and rfc822 format available.

Message #28 received at 680265@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: Daniel Baumann <mail@daniel-baumann.ch>, 680265@bugs.debian.org
Subject: Re: Bug#680265: ITP: gummiboot -- Simple UEFI Boot Manager
Date: Sat, 7 Sep 2013 00:40:22 +0200
On Tue, Nov 20, 2012 at 09:07:53AM +0100, Daniel Baumann wrote:
> On 11/20/2012 08:42 AM, John Paul Adrian Glaubitz wrote:
> > any news on the packaging of Gummiboot for Debian yet?
> 
> it should be ready soon.

Are you still working on it?

-- 
Julian Andres Klode  - Debian Developer, Ubuntu Member

See http://wiki.debian.org/JulianAndresKlode and http://jak-linux.org/.



Removed annotation that Bug was owned by wnpp@debian.org. Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Sun, 16 Mar 2014 12:52:33 GMT) Full text and rfc822 format available.

Owner recorded as Daniel Baumann <mail@daniel-baumann.ch>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sun, 06 Apr 2014 20:21:19 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: gummiboot -- Simple UEFI Boot Manager' from 'ITP: gummiboot -- Simple UEFI Boot Manager' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 06 Apr 2014 20:36:09 GMT) Full text and rfc822 format available.

Owner changed from Daniel Baumann <mail@daniel-baumann.ch> to Daniel Baumann <daniel.baumann@progress-technologies.net>. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 06 Apr 2014 20:36:10 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Daniel Baumann <daniel.baumann@progress-technologies.net>. Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Mon, 07 Apr 2014 04:27:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: gummiboot -- Simple UEFI Boot Manager' from 'RFP: gummiboot -- Simple UEFI Boot Manager' Request was from Julian Andres Klode <jak@debian.org> to control@bugs.debian.org. (Thu, 10 Apr 2014 13:42:12 GMT) Full text and rfc822 format available.

Owner recorded as Julian Andres Klode <jak@debian.org>. Request was from Julian Andres Klode <jak@debian.org> to control@bugs.debian.org. (Thu, 10 Apr 2014 13:42:12 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Julian Andres Klode <jak@debian.org> to control@bugs.debian.org. (Thu, 10 Apr 2014 19:57:04 GMT) Full text and rfc822 format available.

Reply sent to Julian Andres Klode <jak@debian.org>:
You have taken responsibility. (Fri, 11 Apr 2014 17:03:13 GMT) Full text and rfc822 format available.

Notification sent to Daniel Baumann <mail@daniel-baumann.ch>:
Bug acknowledged by developer. (Fri, 11 Apr 2014 17:03:13 GMT) Full text and rfc822 format available.

Message #49 received at 680265-close@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: 680265-close@bugs.debian.org
Subject: Bug#680265: fixed in gummiboot 44-1
Date: Fri, 11 Apr 2014 17:01:12 +0000
Source: gummiboot
Source-Version: 44-1

We believe that the bug you reported is fixed in the latest version of
gummiboot, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 680265@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julian Andres Klode <jak@debian.org> (supplier of updated gummiboot package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 10 Apr 2014 21:26:26 +0200
Source: gummiboot
Binary: gummiboot
Architecture: source amd64
Version: 44-1
Distribution: unstable
Urgency: low
Maintainer: Julian Andres Klode <jak@debian.org>
Changed-By: Julian Andres Klode <jak@debian.org>
Description: 
 gummiboot  - Simple UEFI bootloader
Closes: 680265
Changes: 
 gummiboot (44-1) unstable; urgency=low
 .
   * Initial upload to Debian (Closes: #680265)
Checksums-Sha1: 
 9fc724ae001f39a5faffbc24148a00b45aa50f4e 1278 gummiboot_44-1.dsc
 a882125fc8b14d7c38523ea78291b6383bc6129d 119114 gummiboot_44.orig.tar.gz
 aea618c15bfae7bdbc55a0ac6a0c9c6e9656bc3c 3620 gummiboot_44-1.debian.tar.xz
 8dee5183358f08c942b34fb3e1ee09f553ef47e6 44326 gummiboot_44-1_amd64.deb
Checksums-Sha256: 
 59e9d692b27ac1f349a130087728005f942c6124d2703593d757c369652a1810 1278 gummiboot_44-1.dsc
 604ded9264033a2fc1a9a46cf73e4c073eaaba172bfeb7cb00b03a0bdbc63ef2 119114 gummiboot_44.orig.tar.gz
 f688f8d358c7202c3f68dfd2429d039085e6a02a532030538e80fd0af25d5339 3620 gummiboot_44-1.debian.tar.xz
 a73fa50d196a95aeea9244f879d278d1e1a0368d5ac06dff475cbff53616ebc7 44326 gummiboot_44-1_amd64.deb
Files: 
 b5dff15b40fe0438e795e1237d6c0912 1278 admin optional gummiboot_44-1.dsc
 449fd7acddb5335ef183d27fe184626f 119114 admin optional gummiboot_44.orig.tar.gz
 7c8e85e180081baa0bd69c94dbdfb655 3620 admin optional gummiboot_44-1.debian.tar.xz
 25d73e04213f473fce7b4f491fe5aa70 44326 admin optional gummiboot_44-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iEYEARECAAYFAlNG8eQACgkQrCpf/gCCPsJR0wCdH3m4VmxLVBFyNwCueRh/NswM
2XsAn2FaBDZMAKuqh3Pfl6DV1JtWqRVf
=TstZ
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:40:05 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.